# Cloud database

- [Delete database data](https://docs.apphive.io/reference/funciones/base-de-datos-e/delete-database-data.md): This function allows you to delete an entire collection of records from the database or specific records from a data collection.
- [Get Database Data](https://docs.apphive.io/reference/funciones/base-de-datos-e/get-database-data.md): The Get database data function allows us to consult information loaded in the cloud database, it allows us to consult a complete collection of records, specific records or a specific field.
- [Save data in DB](https://docs.apphive.io/reference/funciones/base-de-datos-e/save-in-db.md): The Save in DB function allows the user to save information as an object in a tree structure, this information is saved in json format
- [Upload file](https://docs.apphive.io/reference/funciones/base-de-datos-e/upload-file.md): It allows uploading files and saving them in the database to be able to have remote access to them It can accept music files, documents, images and return an address to be able to access them


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/reference/funciones/base-de-datos-e.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
